package jtelnet;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.TimerTask;

public class SocketReader extends TimerTask {

	private BufferedReader input;
	private JTelnet telnet;
	
	public SocketReader(InputStream in, JTelnet telnet) {
		super();
		this.input = new BufferedReader(new InputStreamReader(in));
		this.telnet = telnet;
	}

	@Override
	public void run() {
		try {
			if (this.telnet.isNotConnected())
				this.telnet.exitOnClose();
			while (input.ready()) {
				String text = input.readLine();
				this.telnet.notifyDisplays(text);
			}
		} catch (IOException e) { this.telnet.notifyDisplays("-- INPUT/OUTPUT ERROR in SocketReader --");}
	}

}
